Subject: bug#39277: 26.3; Tcl font lock does not understand quoting

From: mvar <[email-masked]>
Date: Tue, 27 Oct 2020 22:42:44 +0200

Lars Ingebrigtsen <[email-masked]> writes:

> Stefan Monnier <[email-masked]> writes:
>
>> And what about
>>
>>     proc foo3 () {
>>        puts "hello}"
>>     }
>>
>>     proc foo4 () {
>>        puts "hello\}"
>>     }
>>
>>     proc foo5 () {
>>        puts "hello
>>     }
>
> It's fortunately been a couple of decades since I wrote Tcl, and...  I
> don't remember.  :-/
>
>> Won't this catch cases not usually considered as strings, like
>>
>>     proc foo5 () {
>>         return 6
>>     }
>
> Yup.  I'll revert the patch and reopen this bug report.

thank you Lars for reverting, this didn't feel right anyway. I'll try to come up
with some more elegant solution or at least find some way to skip
breaking the other locks - for example moving the tcl-font-lock-keywords
regexp to the end of that list solves the problem Stefan mentioned but it
still doesn't address what Andreas pointed out, i.e. proc test (args) will
have args locked as a string.

btw to answer your previous email, i'd like to sign the copyright paperwork

thanks,
Michalis